跳转到主要内容
GET /v1/deployments/{id}/runs 列出指定 Deployment 的所有运行记录,按触发时间降序排列(最新在前)。

路径参数

参数类型说明
idstringDeployment ID(dep_ 前缀)

请求头

头部必选说明
AuthorizationBearer <PAT>

查询参数

参数类型必选说明
limitinteger每页最大记录数,默认 20,最大 1000
after_idstring游标分页:返回此 ID 之后的记录
before_idstring游标分页:返回此 ID 之前的记录
statusstring按运行状态筛选:pendingrunningcompletedfailedskipped
triggered_afterstring筛选此时间之后触发的运行(ISO 8601)
triggered_beforestring筛选此时间之前触发的运行(ISO 8601)

示例请求

curl -X GET "https://api.qoder.com/api/v1/cloud/deployments/dep_019ec55a2b687b3f94eee77dd77e4b2a/runs?limit=5" \
  -H "Authorization: Bearer $QODER_PAT"

示例响应

HTTP 200 OK
{
  "data": [
    {
      "agent": {
        "id": "agent_019ebb21ef8e7df6a559052c94875160",
        "type": "agent",
        "version": 1
      },
      "cas_run_extras": {
        "attempt": 1,
        "started_at": "2026-06-14T08:58:17.165588Z",
        "turn_id": "turn_019ec55a68b87a9dafad75c1554d1102"
      },
      "completed_at": "2026-06-14T08:58:34.433744Z",
      "created_at": "2026-06-14T08:58:17.13334Z",
      "deployment_id": "dep_019ec55a2b687b3f94eee77dd77e4b2a",
      "duration_ms": 17268,
      "error": null,
      "id": "drun_019ec55a68af73028afa5b87931cb2f3",
      "session_id": "sess_019ec55a68b37e1e8d660691af161ab4",
      "status": "completed",
      "trigger_context": {
        "type": "manual"
      },
      "triggered_at": "2026-06-14T08:58:17.13334Z",
      "type": "deployment_run"
    }
  ],
  "first_id": "drun_019ec55a68af73028afa5b87931cb2f3",
  "has_more": false,
  "last_id": "drun_019ec55a68af73028afa5b87931cb2f3",
  "next_page": null
}

响应字段

字段类型说明
dataarrayDeployment Run 对象列表
first_idstring当前页第一条记录的 ID
last_idstring当前页最后一条记录的 ID
has_moreboolean是否还有更多记录
next_pagestring 或 null下一页游标值(无更多时为 null)
Run 对象字段说明详见 手动触发 Deployment

错误码

HTTPtype触发条件
401authentication_errorPAT 无效或过期
404not_found_errorDeployment 不存在
完整错误信封说明详见 错误参考

相关

获取 Deployment Run

查看单次运行的详细信息。

手动触发 Deployment

立即触发一次 Deployment 运行。

列出所有 Run

跨 Deployment 查询所有运行记录。

获取 Deployment

查看 Deployment 配置与状态。